VelocityReport Plugin - Defect #584

Velocity servlet hangs after 404
11/22/2012 04:19 PM - Robert lvens

Status: Closed Start date: 11/22/2012
Priority: Normal Due date:

Assignee: % Done: 0%
Category: velocity Estimated time: 0.00 hour
Target version: v2.0

Browser (if web

client):

Description

When you use an URL that calls up some resources as defined in the config.json and this resource doesn't exists Velocity completely
hangs.
My config.json is essentially this:

my_solution: {
type: "pool",
poolSize: 3,
resources: ["css", "images", "Jjs", "files"],
pages: {
"A":{form:"my_form", template:"index.html"}
}I
errorPage: "errorPage.html",
deny: ["*.json","*.xml","*.pdf"]

When | use the following URL | get a 404 and everything keeps working as it should:
http://localhost:8080/servoy-service/velocity/mycss.css

But when | access the css directory it completely hangs after showing the 404 page:
http://localhost:8080/servoy-service/velocity/css/mycss.css

| found this issue after | tried to access the solution using the following URL:
http://localhost:8080/servoy-service/velocity/my_solution

Notice the missing slash.

This does load the index.html as defined in the config.json but any css and images defined in the template using a relative path will
call up the wrong URL as described.

Perhaps the servlet should add the slash automatically when a solution is called ?

History

#1 - 11/22/2012 05:44 PM - Patrick Talbot
Actually you cannot add a / this simply to the url
Because the problem is that the browser is calling the related files (css/images/js) based on the base URL, so let's say you have a base URL of

http://localhost:8080/servoy-service/velocity/my_solution
the browser is calling http://localhost:8080/servoy-service/velocity/css etc... (so considering /my_solution to be a file and stripping it)

So the only way is to redirect the browser to http://localhost:8080/servoy-service/velocity/my_solution/ - that | can do.

As to access to unexisting resources hanging Velocity I'll have to hunt that down.

#2 - 11/22/2012 06:53 PM - Patrick Talbot

- Status changed from New to In Progress

OK, so | now redirect from http://localhost:8080/servoy-service/velocity/my_solution to http://localhost:8080/servoy-service/velocity/my_solution/
meaning the browser will then call related resources from the right path.
For resources not found | now return a 404 (no more hang).

Will be available in next Velocity update - with many other things ;)
#3 - 11/28/2012 06:33 PM - Patrick Talbot
- Category set to velocity

- Target version set to v2.0

#4 - 11/29/2012 02:26 PM - Patrick Talbot

- Status changed from In Progress to Closed

Fixed in v2.2.0
